Runtime

## org.eclipse.gmf.runtime.diagram.core.util
Class ViewType

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.core.util.ViewType

public class ViewType
extends java.lang.Object

Defines the basic view types. The view type is required at View creation time; It could be an empty string or it could be a String that indicates what this view respresent. The View type will be set by the `ViewService` on the `View`, and it can be retrieved by calling `View.getType()`

Field Summary
`static java.lang.String` `DIAGRAM_LINK` the diagram link semantic hint
`static java.lang.String` `DIAGRAM_NAME` diagram name semantic hint
`static java.lang.String` `NOTE` the note semantic hint
`static java.lang.String` `NOTEATTACHMENT` the note attachment semantic hint
`static java.lang.String` `TEXT` the text semanti hint

Constructor Summary
`ViewType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOTE

    public static java.lang.String NOTE

  the note semantic hint

### TEXT

    public static java.lang.String TEXT

  the text semanti hint

### NOTEATTACHMENT

    public static java.lang.String NOTEATTACHMENT

  the note attachment semantic hint

### DIAGRAM_NAME

    public static java.lang.String DIAGRAM_NAME

  diagram name semantic hint

### DIAGRAM_LINK

    public static java.lang.String DIAGRAM_LINK

  the diagram link semantic hint

Constructor Detail

### ViewType

    public ViewType()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.